Package fr.gouv.vitam.functional.administration.client

# Class AdminManagementClientFactory

java.lang.Object
fr.gouv.vitam.common.client.VitamClientFactory<AdminManagementClient>
fr.gouv.vitam.functional.administration.client.AdminManagementClientFactory

All Implemented Interfaces:
  `VitamClientFactoryInterface<AdminManagementClient>`

public class AdminManagementClientFactory extends VitamClientFactory<AdminManagementClient>
Admin management client factory use to get client by type "rest" or "mock"

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface fr.gouv.vitam.common.client.VitamClientFactoryInterface

  `VitamClientFactoryInterface.VitamClientType`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `clientConfiguration`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final void`
  `changeMode(ClientConfiguration configuration)`
  `AdminManagementClient`
  `getClient()`
  Get the default admin management client
  `static AdminManagementClientFactory`
  `getInstance()`
  Get the AdminManagementClientFactory instance
  `static AdminManagementClientFactory`
  `getInstance(WorkFlowExecutionContext executionContext)`
  Get the AdminManagementClientFactory instance for the given workflow execution context

  ### Methods inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `changeResourcePath, changeServerPort, disableUseAuthorizationFilter, enableUseAuthorizationFilter, getClientConfiguration, getDefaultConfigCient, getDefaultConfigCient, getHttpClient, getHttpClient, getResourcePath, getServiceUrl, getVitamClientType, getVitamThreadPoolExecutor, initialisation, isAllowGzipDecoded, isAllowGzipEncoded, resetConnections, resume, setGzipdecoded, setGzipEncoded, setVitamClientType, shutdown, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static AdminManagementClientFactory getInstance()
    Get the AdminManagementClientFactory instance
    Returns:
      the instance

  - ### getInstance

    public static AdminManagementClientFactory getInstance(WorkFlowExecutionContext executionContext)
    Get the AdminManagementClientFactory instance for the given workflow execution context
    Parameters:
      `executionContext` - the workflow execution context
    Returns:
      the instance

  - ### getClient

    public AdminManagementClient getClient()
    Get the default admin management client
    Returns:
      the default admin management client

  - ### changeMode

    public static final void changeMode(ClientConfiguration configuration)
    Parameters:
      `configuration` - null for MOCK